CreateTestReport
curl --request POST \
--url https://api.siftstack.com/api/v1/test-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"runId": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/test-reports"
payload = {
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"runId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-reports"
payload := strings.NewReader("{\n \"status\": \"TEST_STATUS_UNSPECIFIED\",\n \"name\": \"<string>\",\n \"testSystemName\": \"<string>\",\n \"testCase\": \"<string>\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"endTime\": \"2023-11-07T05:31:56Z\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"serialNumber\": \"<string>\",\n \"partNumber\": \"<string>\",\n \"systemOperator\": \"<string>\",\n \"runId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testReport": {
"testReportId": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"runId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}TestReportService
CreateTestReport
Creates a test report
POST
/
api
/
v1
/
test-reports
CreateTestReport
curl --request POST \
--url https://api.siftstack.com/api/v1/test-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"runId": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/test-reports"
payload = {
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"runId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-reports"
payload := strings.NewReader("{\n \"status\": \"TEST_STATUS_UNSPECIFIED\",\n \"name\": \"<string>\",\n \"testSystemName\": \"<string>\",\n \"testCase\": \"<string>\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"endTime\": \"2023-11-07T05:31:56Z\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"serialNumber\": \"<string>\",\n \"partNumber\": \"<string>\",\n \"systemOperator\": \"<string>\",\n \"runId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testReport": {
"testReportId": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"runId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
TEST_STATUS_UNSPECIFIED, TEST_STATUS_DRAFT, TEST_STATUS_PASSED, TEST_STATUS_FAILED, TEST_STATUS_ABORTED, TEST_STATUS_ERROR, TEST_STATUS_IN_PROGRESS, TEST_STATUS_SKIPPED Show child attributes
Show child attributes
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I